Part Cone: Difference between revisions

From FreeCAD Documentation
(Description)
(Properties)
Line 51: Line 51:


=== Data ===
=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


{{TitleProperty|Cone}}
{{TitleProperty|Cone}}


<!--T:20-->
<!--T:20-->
* {{PropertyData|Radius1|Length}}: Radius of the arc or circle defining the lower face
* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0}} if {{PropertyData|Radius2}} is larger than {{Value|0}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: Radius of the arc or circle defining the upper face
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0}} if {{PropertyData|Radius1}} is larger than {{Value|0}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: Height of the Part Cone
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° angle creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.


== Scripting == <!--T:21-->
== Scripting == <!--T:21-->

Revision as of 10:14, 1 March 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cone command creates a parametric cone solid. In the coordinate system defined by its DataPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DataRadius1 or DataRadius2 property to zero. It can be turned into a segment of a cone by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Cone button.
    • Select the Part → Primitives → Cone option from the menu.

Example

Part Cone scripting example

A Part Cone object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DataRadius1 (Length): The radius of the bottom face of the cone. Can be 0 if DataRadius2 is larger than 0. The default is 2mm.
  • DataRadius2 (Length): The radius of the top face of the cone. Can be 0 if DataRadius1 is larger than 0. The default is 4mm.
  • DataHeight (Length): The height of the cone. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where myCone is the user editable name for the object.
  • The function returns the newly created object.

The label text of the object can be easily changed by

cone.Label = "new myConeName"

You can access and modify attributes of the cone object. For example, you may wish to modify the lower or upper radius, the height or the angle parameters.

cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270

The result will be a 270° portion of a full cone.

You can change its placement and orientation with:

cone.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 60, 15))